# Uses of Class
org.eclipse.ecf.core.identity.Namespace

Packages that use Namespace
Package
Description
org.eclipse.ecf.console
org.eclipse.ecf.core
org.eclipse.ecf.core.identity
org.eclipse.ecf.core.provider
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.discovery
org.eclipse.ecf.discovery.identity
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.identity
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.identity
org.eclipse.ecf.provider.filetransfer.outgoing
org.eclipse.ecf.provider.filetransfer.retrieve
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.jslp.identity
org.eclipse.ecf.provider.r_osgi.identity
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.provider
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.rest.identity
org.eclipse.ecf.remoteservice.servlet
org.eclipse.ecf.remoteservice.util

## Uses of Namespace in org.eclipse.ecf.console

Methods in org.eclipse.ecf.console that return types with arguments of type Namespace
Modifier and Type
Method
Description
`protected List<Namespace>`
AbstractCommand.`getNamespaces()`
Methods in org.eclipse.ecf.console with parameters of type Namespace
Modifier and Type
Method
Description
`protected String`
AbstractCommand.`formatNamespace(Namespace ns, int level, org.apache.felix.service.command.Converter escape)`

## Uses of Namespace in org.eclipse.ecf.core

Methods in org.eclipse.ecf.core that return Namespace
Modifier and Type
Method
Description
`Namespace`
BaseContainer.`getConnectNamespace()`
`Namespace`
IContainer.`getConnectNamespace()`
Get the Namespace for creating a targetID suitable for use as the first parameter in subsequent calls to `IContainer.connect(ID, IConnectContext)`.

## Uses of Namespace in org.eclipse.ecf.core.identity

Subclasses of Namespace in org.eclipse.ecf.core.identity
Modifier and Type
Class
Description
`static class`
`GUID.GUIDNamespace`
`static class`
`LongID.LongNamespace`
`static class`
`StringID.StringIDNamespace`
`static class`
`URIID.URIIDNamespace`
`static class`
`UuID.UuIDNamespace`
Fields in org.eclipse.ecf.core.identity declared as Namespace
Modifier and Type
Field
Description
`protected Namespace`
BaseID.`namespace`
Methods in org.eclipse.ecf.core.identity that return Namespace
Modifier and Type
Method
Description
`Namespace`
IDFactory.`addNamespace(Namespace namespace)`
`Namespace`
IIDFactory.`addNamespace(Namespace n)`
Add the given Namespace to our table of available Namespaces
`static final Namespace`
IDFactory.`addNamespace0(Namespace namespace)`
`Namespace`
BaseID.`getNamespace()`
`Namespace`
ID.`getNamespace()`
Get the Namespace instance associated with this identity
`Namespace`
IDFactory.`getNamespace(Namespace namespace)`
`Namespace`
IIDFactory.`getNamespace(Namespace n)`
Get the given Namespace instance from table
`Namespace`
StringID.`getNamespace()`
`protected static final Namespace`
IDFactory.`getNamespace0(String name)`
`protected static final Namespace`
IDFactory.`getNamespace0(Namespace n)`
`Namespace`
IDFactory.`getNamespaceByName(String name)`
`Namespace`
IIDFactory.`getNamespaceByName(String name)`
Get a Namespace instance by its string name.
`Namespace`
IDFactory.`removeNamespace(Namespace n)`
`Namespace`
IIDFactory.`removeNamespace(Namespace n)`
Remove the given Namespace from our table of available Namespaces
`static final Namespace`
IDFactory.`removeNamespace0(Namespace n)`
Methods in org.eclipse.ecf.core.identity that return types with arguments of type Namespace
Modifier and Type
Method
Description
`List<Namespace>`
IDFactory.`getNamespaces()`
`List<Namespace>`
IIDFactory.`getNamespaces()`
Get a list of the current Namespace instances exposed by this factory.
Methods in org.eclipse.ecf.core.identity with parameters of type Namespace
Modifier and Type
Method
Description
`Namespace`
IDFactory.`addNamespace(Namespace namespace)`
`Namespace`
IIDFactory.`addNamespace(Namespace n)`
Add the given Namespace to our table of available Namespaces
`static final Namespace`
IDFactory.`addNamespace0(Namespace namespace)`
`boolean`
IDFactory.`containsNamespace(Namespace namespace)`
`boolean`
IIDFactory.`containsNamespace(Namespace n)`
Check whether table contains given Namespace instance
`static final boolean`
IDFactory.`containsNamespace0(Namespace n)`
`ID`
IDFactory.`createID(Namespace n, Object[] args)`
`ID`
IDFactory.`createID(Namespace namespace, String uri)`
`ID`
IIDFactory.`createID(Namespace n, Object[] args)`
Make a new identity.
`ID`
IIDFactory.`createID(Namespace namespace, String uri)`
Make a new identity instance from a namespace and String.
`Namespace`
IDFactory.`getNamespace(Namespace namespace)`
`Namespace`
IIDFactory.`getNamespace(Namespace n)`
Get the given Namespace instance from table
`protected static final Namespace`
IDFactory.`getNamespace0(Namespace n)`
`Namespace`
IDFactory.`removeNamespace(Namespace n)`
`Namespace`
IIDFactory.`removeNamespace(Namespace n)`
Remove the given Namespace from our table of available Namespaces
`static final Namespace`
IDFactory.`removeNamespace0(Namespace n)`
Constructors in org.eclipse.ecf.core.identity with parameters of type Namespace
Modifier
Constructor
Description
`protected`
`BaseID(Namespace namespace)`
`protected`
`GUID(Namespace n)`
`protected`
`GUID(Namespace n, int byteLength)`
`protected`
`GUID(Namespace n, String value)`
`protected`
`GUID(Namespace n, String algo, String provider, int byteLength)`
Protected constructor for factory-based construction
`protected`
`LongID(Namespace n, long v)`
`protected`
`LongID(Namespace n, Long v)`
`protected`
`StringID(Namespace n, String s)`
Protected constructor for factory-based construction
``
`URIID(Namespace namespace, URI uri)`

## Uses of Namespace in org.eclipse.ecf.core.provider

Methods in org.eclipse.ecf.core.provider with parameters of type Namespace
Modifier and Type
Method
Description
`protected ID`
BaseContainerInstantiator.`getIDParameterValue(Namespace ns, Map<String,?> parameters, String key)`
`protected <T> ID`
BaseContainerInstantiator.`getIDParameterValue(Namespace ns, Map<String,?> parameters, String key, Class<T> type, T def)`
`protected ID`
BaseContainerInstantiator.`getIDParameterValue(Namespace ns, Map<String,?> parameters, String key, String def)`

## Uses of Namespace in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return Namespace
Modifier and Type
Method
Description
`Namespace`
ISharedObjectContext.`getConnectNamespace()`
Get the Namespace instance that defines the ID type expected by the remote target container

## Uses of Namespace in org.eclipse.ecf.discovery

Methods in org.eclipse.ecf.discovery that return Namespace
Modifier and Type
Method
Description
`Namespace`
AbstractDiscoveryContainerAdapter.`getConnectNamespace()`
`Namespace`
AbstractDiscoveryContainerAdapter.`getServicesNamespace()`
`Namespace`
IDiscoveryAdvertiser.`getServicesNamespace()`
Get a Namespace for services associated with this discovery container adapter.
`Namespace`
IDiscoveryLocator.`getServicesNamespace()`
Get a Namespace for services associated with this discovery container adapter.

## Uses of Namespace in org.eclipse.ecf.discovery.identity

Methods in org.eclipse.ecf.discovery.identity with parameters of type Namespace
Modifier and Type
Method
Description
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String serviceType)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType, String[] protocols)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] services, String[] scopes, String[] protocols, String namingAuthority)`
Create an IServiceTypeID.
`IServiceTypeID`
IServiceIDFactory.`createServiceTypeID(Namespace namespace, IServiceTypeID aServiceTypeID)`
Create an IServiceTypeID.
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String serviceType)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType, String[] protocols)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, String[] serviceType, String[] scopes, String[] protocols, String namingAuthority)`
`IServiceTypeID`
ServiceIDFactory.`createServiceTypeID(Namespace namespace, IServiceTypeID aServiceTypeId)`
Constructors in org.eclipse.ecf.discovery.identity with parameters of type Namespace
Modifier
Constructor
Description
`protected`
`ServiceID(Namespace namespace, IServiceTypeID type, URI anURI)`
`protected`
`ServiceTypeID(Namespace namespace)`
``
`ServiceTypeID(Namespace namespace, String aType)`
Clients should not call this method directly.
`protected`
`ServiceTypeID(Namespace namespace, String[] services, String[] scopes, String[] protocols, String namingAuthority)`
`protected`
`ServiceTypeID(Namespace ns, IServiceTypeID id)`

## Uses of Namespace in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return Namespace
Modifier and Type
Method
Description
`Namespace`
IRemoteFileSystemBrowserContainerAdapter.`getBrowseNamespace()`
Get the `Namespace` instance for creating IFileIDs that represent remote files or directories.
`Namespace`
ISendFileTransferContainerAdapter.`getOutgoingNamespace()`
Get namespace for outgoing file transfer.
`Namespace`
IRetrieveFileTransferContainerAdapter.`getRetrieveNamespace()`
Get namespace to be used for creation of remoteFileID for retrieve request.

## Uses of Namespace in org.eclipse.ecf.filetransfer.identity

Methods in org.eclipse.ecf.filetransfer.identity with parameters of type Namespace
Modifier and Type
Method
Description
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, Object[] arguments)`
Create an IFileID from a Namespace and a String.
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, String remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, URI remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
FileIDFactory.`createFileID(Namespace namespace, URL remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, Object[] arguments)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, String remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, URI remoteFile)`
Create an IFileID from a Namespace and a String.
`IFileID`
IFileIDFactory.`createFileID(Namespace namespace, URL remoteFile)`
Create an IFileID from a Namespace and a String.

## Uses of Namespace in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return Namespace
Modifier and Type
Method
Description
`Namespace`
DiscoveredEndpointDescription.`getDiscoveryLocatorNamespace()`
Constructors in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type Namespace
Modifier
Constructor
Description
``
`DiscoveredEndpointDescription(Namespace discoveryLocatorNamespace, IServiceID serviceID, EndpointDescription endpointDescription)`

## Uses of Namespace in org.eclipse.ecf.provider.dnssd

Subclasses of Namespace in org.eclipse.ecf.provider.dnssd
Modifier and Type
Class
Description
`class`
`DnsSdNamespace`
Constructors in org.eclipse.ecf.provider.dnssd with parameters of type Namespace
Modifier
Constructor
Description
`protected`
`DnsSdServiceID(Namespace namespace, IServiceTypeID type, URI anUri)`
``
`DnsSdServiceTypeID(Namespace namespace, String aType)`
``
`DnsSdServiceTypeID(Namespace ns, IServiceTypeID id)`

## Uses of Namespace in org.eclipse.ecf.provider.filetransfer.browse

Methods in org.eclipse.ecf.provider.filetransfer.browse that return Namespace
Modifier and Type
Method
Description
`Namespace`
MultiProtocolFileSystemBrowserAdapter.`getBrowseNamespace()`

## Uses of Namespace in org.eclipse.ecf.provider.filetransfer.identity

Subclasses of Namespace in org.eclipse.ecf.provider.filetransfer.identity
Modifier and Type
Class
Description
`class`
`FileTransferNamespace`
URL file namespace class.
Constructors in org.eclipse.ecf.provider.filetransfer.identity with parameters of type Namespace
Modifier
Constructor
Description
``
`FileTransferID(Namespace namespace, URI uri)`
``
`FileTransferID(Namespace namespace, URL url)`

## Uses of Namespace in org.eclipse.ecf.provider.filetransfer.outgoing

Methods in org.eclipse.ecf.provider.filetransfer.outgoing that return Namespace
Modifier and Type
Method
Description
`Namespace`
AbstractOutgoingFileTransfer.`getOutgoingNamespace()`
`Namespace`
MultiProtocolOutgoingAdapter.`getOutgoingNamespace()`

## Uses of Namespace in org.eclipse.ecf.provider.filetransfer.retrieve

Methods in org.eclipse.ecf.provider.filetransfer.retrieve that return Namespace
Modifier and Type
Method
Description
`Namespace`
AbstractRetrieveFileTransfer.`getRetrieveNamespace()`
`Namespace`
MultiProtocolRetrieveAdapter.`getRetrieveNamespace()`

## Uses of Namespace in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return Namespace
Modifier and Type
Method
Description
`Namespace`
SOContainer.`getConnectNamespace()`
`Namespace`
SOContext.`getConnectNamespace()`

## Uses of Namespace in org.eclipse.ecf.provider.jslp.identity

Subclasses of Namespace in org.eclipse.ecf.provider.jslp.identity
Modifier and Type
Class
Description
`class`
`JSLPNamespace`
Constructors in org.eclipse.ecf.provider.jslp.identity with parameters of type Namespace
Modifier
Constructor
Description
`protected`
`JSLPServiceTypeID(Namespace namespace, String type)`

## Uses of Namespace in org.eclipse.ecf.provider.r_osgi.identity

Subclasses of Namespace in org.eclipse.ecf.provider.r_osgi.identity
Modifier and Type
Class
Description
`class`
`R_OSGiNamespace`
The R-OSGi default transport namespace (r-osgi://).
`class`
`R_OSGiRemoteServiceNamespace`
`class`
`R_OSGiWSNamespace`
`class`
`R_OSGiWSSNamespace`
Methods in org.eclipse.ecf.provider.r_osgi.identity that return Namespace
Modifier and Type
Method
Description
`static Namespace`
R_OSGiNamespace.`getDefault()`
get the singleton instance of this namespace.
`static Namespace`
R_OSGiWSNamespace.`getDefault()`
get the singleton instance of this namespace.
`static Namespace`
R_OSGiWSSNamespace.`getDefault()`
get the singleton instance of this namespace.
Constructors in org.eclipse.ecf.provider.r_osgi.identity with parameters of type Namespace
Modifier
Constructor
Description
`protected`
`R_OSGiID(Namespace ns)`

## Uses of Namespace in org.eclipse.ecf.provider.remoteservice.generic

Subclasses of Namespace in org.eclipse.ecf.provider.remoteservice.generic
Modifier and Type
Class
Description
`class`
`RemoteServiceNamespace`
Methods in org.eclipse.ecf.provider.remoteservice.generic that return Namespace
Modifier and Type
Method
Description
`Namespace`
RegistrySharedObject.`getRemoteServiceNamespace()`
`Namespace`
RemoteServiceContainer.`getRemoteServiceNamespace()`

## Uses of Namespace in org.eclipse.ecf.remoteservice

Subclasses of Namespace in org.eclipse.ecf.remoteservice
Modifier and Type
Class
Description
`class`
`RemoteServiceNamespace`
Methods in org.eclipse.ecf.remoteservice that return Namespace
Modifier and Type
Method
Description
`Namespace`
AbstractRSAContainer.`getConnectNamespace()`
`Namespace`
IRemoteServiceConsumer.`getRemoteServiceNamespace()`
Get namespace to use for this remote service provider.
`Namespace`
IRemoteServiceContainerAdapter.`getRemoteServiceNamespace()`
Get namespace to use for this remote service provider.
`Namespace`
IRemoteServiceHost.`getRemoteServiceNamespace()`
Get namespace to use for this remote service provider.
`Namespace`
RemoteServiceContainerAdapterImpl.`getRemoteServiceNamespace()`
Constructors in org.eclipse.ecf.remoteservice with parameters of type Namespace
Modifier
Constructor
Description
``
`RemoteServiceID(Namespace namespace, ID containerID, long containerRelative)`

## Uses of Namespace in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that return Namespace
Modifier and Type
Method
Description
`Namespace`
AbstractRSAClientContainer.`getConnectNamespace()`
`Namespace`
AbstractClientContainer.`getRemoteServiceNamespace()`
Constructors in org.eclipse.ecf.remoteservice.client with parameters of type Namespace
Modifier
Constructor
Description
``
`RemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`
``
`RemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`

## Uses of Namespace in org.eclipse.ecf.remoteservice.provider

Methods in org.eclipse.ecf.remoteservice.provider that return Namespace
Modifier and Type
Method
Description
`Namespace`
IRemoteServiceDistributionProvider.`getNamespace()`
Return the Namespace (or subclass) to register for this distribution provider.
`Namespace`
RemoteServiceDistributionProvider.`getNamespace()`
Methods in org.eclipse.ecf.remoteservice.provider with parameters of type Namespace
Modifier and Type
Method
Description
`RemoteServiceDistributionProvider.Builder`
RemoteServiceDistributionProvider.Builder.`setNamespace(Namespace ns)`
`protected RemoteServiceDistributionProvider`
RemoteServiceDistributionProvider.`setNamespace(Namespace ns)`

## Uses of Namespace in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client that return Namespace
Modifier and Type
Method
Description
`Namespace`
AbstractRestClientContainer.`getConnectNamespace()`
Constructors in org.eclipse.ecf.remoteservice.rest.client with parameters of type Namespace
Modifier
Constructor
Description
``
`RestRemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`
``
`RestRemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`

## Uses of Namespace in org.eclipse.ecf.remoteservice.rest.identity

Subclasses of Namespace in org.eclipse.ecf.remoteservice.rest.identity
Modifier and Type
Class
Description
`class`
`RestNamespace`
This class represents a `Namespace` for `RestClientContainer`s.
Fields in org.eclipse.ecf.remoteservice.rest.identity declared as Namespace
Modifier and Type
Field
Description
`static Namespace`
RestNamespace.`INSTANCE`
Constructors in org.eclipse.ecf.remoteservice.rest.identity with parameters of type Namespace
Modifier
Constructor
Description
``
`RestID(Namespace namespace, URI uri)`

## Uses of Namespace in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that return Namespace
Modifier and Type
Method
Description
`Namespace`
ServletServerContainer.`getRemoteServiceNamespace()`

## Uses of Namespace in org.eclipse.ecf.remoteservice.util

Methods in org.eclipse.ecf.remoteservice.util that return Namespace
Modifier and Type
Method
Description
`static Namespace`
IDUtil.`findNamespaceByIdName(String idName)`
`static Namespace`
IDUtil.`findNamespaceByScheme(String scheme)`
`static Namespace`
IDUtil.`getNamespaceByName(String namespaceName)`
Methods in org.eclipse.ecf.remoteservice.util with parameters of type Namespace
Modifier and Type
Method
Description
`static ID`
IDUtil.`createID(Namespace namespace, Object[] args)`
`static ID`
IDUtil.`createID(Namespace namespace, String idName)`